unit ufrAccumulation;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TSetAccMode = procedure(aValue: Integer) stdcall of object;
  TfrAccumulation = class(TFrame)
    btnReset: TButton;
    lbAccCount: TLabel;
    Label1: TLabel;
    cbAccMode: TComboBox;
    procedure btnResetClick(Sender: TObject);
    procedure cbAccModeChange(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    SetAccMode: TSetAccMode;
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{$R *.DFM}

constructor TfrAccumulation.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  cbAccMode.ItemIndex:= 0;
  cbAccModeChange(nil);
end;

procedure TfrAccumulation.btnResetClick(Sender: TObject);
begin
  if Assigned(SetAccMode) then
    SetAccMode(3);
end;

procedure TfrAccumulation.cbAccModeChange(Sender: TObject);
begin
  btnReset.Enabled:= cbAccMode.ItemIndex = 2;
  if Assigned(SetAccMode) then
    SetAccMode(cbAccMode.ItemIndex);
end;

end.
