unit uInterfaces;

interface

uses
   IniFiles;

type
  IIniIO = interface
    ['{A2484086-146D-495C-A00F-562931DCD52B}']
    procedure LoadIni(aFile: TIniFile); stdcall;
    procedure SaveIni(aFile: TIniFile); stdcall;
  end;

  IWaveSetup = interface
    ['{5986D25F-7D4A-420B-9303-96171A724503}']
    function Bits: Word; stdcall;
    function Sampling: LongWord; stdcall;
    function Input: Integer; stdcall;
    function Output: Integer; stdcall;
  end;

  IDataSource = interface
    ['{A4716013-9B2C-4768-912A-14E0E402208D}']
    procedure CanSend; stdcall;
  end;

implementation

end.
